import { EventEmitter } from '@angular/core';
import { DateService } from "../../service/date.service";
import { ToolsService } from "../../service/tools.service";
import { ToastService } from "../../service/toast.service";
export declare class InputDateComponent {
    private dateService;
    private toolsService;
    private toastService;
    constructor(dateService: DateService, toolsService: ToolsService, toastService: ToastService);
    dateStrReg: RegExp;
    timestampReg: RegExp;
    _data: string;
    placeholder: string;
    hideArrow: boolean;
    max: string;
    maxString: string;
    min: string;
    minString: string;
    require: boolean;
    name: string;
    data: any;
    format(data: any): void;
    emitDataChange(date: string): void;
    ngModelChange(event: string): void;
    dataChange: EventEmitter<any>;
}
