import { TransmitData } from "./dynamic-component.meta";
/**
 * alert提示框
 */
export interface AlertParams extends TransmitData {
    okLabel?: string;
    yesLabel?: string;
    noLabel?: string;
    title?: string;
    content: string;
    okClick?: (button?: HTMLButtonElement, alertControl?: AlertControl) => boolean | void;
    yesClick?: (button?: HTMLButtonElement, alertControl?: AlertControl) => boolean | void;
    noClick?: (button?: HTMLButtonElement, alertControl?: AlertControl) => boolean | void;
    closeHandler?: () => void;
}
export interface AlertControl {
    disabled: boolean;
    close: () => void;
}
