import { ToolsService } from "./tools.service";
import { RemProvider } from "../meta/provider.meta";
/**
 * rem控制
 */
export declare class RemService {
    private toolsService;
    constructor(toolsService: ToolsService);
    private zoom;
    init(): void;
    setProvider(remProvider: RemProvider): void;
    setZoom(zoom: number): void;
    /**
     * 设计的px转px
     */
    realPx(px: string | number): number;
    realRem(_rem: string | number): number;
    /**
     * px转rem
     */
    pxConvertToRem(px: string | number): number;
    remPxConvertToPx(remPx: string | number): number;
    remConvertToPx(remValue: string | number): number;
}
