import { ScreenMode, WindowResizeType } from "../meta/window-resize.meta";
import { TouchService } from "./touch.service";
import { RouterService } from "./router.service";
export declare class WindowResizeService {
    private touchService;
    private delayNodeNameList;
    private _routerChange;
    private _height;
    readonly height: number;
    private _width;
    readonly width: number;
    private _screenMode;
    readonly screenMode: ScreenMode;
    private _resize;
    private windowResizeHandlerList;
    constructor(touchService: TouchService, routerService: RouterService);
    init(): void;
    on(event: WindowResizeType): void;
    off(event: WindowResizeType): void;
}
